# Configurables for metrics, and p4re-prot set up
module Config

    # REQUIRED: the path to the input checkpoint
    # @note Relative paths should be in relation to p4re-prot.rb
    CHECKPOINT = File.expand_path("../test-dir/ckps/ckp.11")

    # All other variables are for metrics

    #A directory for metrics to work in
    #Default is "./test-dir/p4_metrics"
    P4ROOT_DIRECTORY = "./test-dir/p4_metrics"

    #P4D binary to use
    P4D = "./test-dir/p4_test_root/p4d"

    #A directory for metrics to create clients
    P4_WS_ROOT = "./test-dir/p4_metrics/ws"

    #A fully expanded version of P4_WS_ROOT
    P4_WS_FULL_PATH = File.expand_path(P4_WS_ROOT)

    #A free port to test on
    P4PORT = "1717"
    #P4 User with super/admin access
    P4USER = "brett"
    #A workspace for P4USER
    P4CLIENT = "brett_ws"
    #P4USERS Password
    P4PASSWD = ""
end
